"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
require("core-js/modules/web.dom-collections.iterator.js");
var _scrollContext = require("./scrollContext");
var _react = _interopRequireWildcard(require("react"));
var _Button = _interopRequireDefault(require("@mui/material/Button"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function ArrowRight(props) {
  var showBtnStyle = props.showStyle;
  var hideBtnStyle = props.hideStyle;
  if (showBtnStyle == undefined || hideBtnStyle == undefined) {
    hideBtnStyle = {
      color: "transparent",
      backgroundColor: "transparent",
      zIndex: "50"
    };
    showBtnStyle = {
      color: "antiquewhite",
      backgroundColor: "black",
      zIndex: "50"
    };
  }
  const [btnStyle, setBtnStyle] = (0, _react.useState)(hideBtnStyle);
  function showButton() {
    setBtnStyle(showBtnStyle);
  }
  function hideButton() {
    setBtnStyle(hideBtnStyle);
  }
  var scrollDetails = (0, _react.useContext)(_scrollContext.scrollContext);
  function goRight() {
    if (scrollDetails.first + props.countVisible < scrollDetails.size) {
      scrollDetails.setFirst(scrollDetails.first + props.shiftAmount);
    }
  }
  console.log("btnStyle: ", btnStyle);
  return /*#__PURE__*/_react.default.createElement(_Button.default, {
    style: btnStyle,
    className: "right",
    onMouseEnter: showButton,
    onMouseLeave: hideButton,
    onClick: () => goRight()
  }, props.children);
}
var _default = ArrowRight;
exports.default = _default;