"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ScrollConsumer = void 0;
exports.ScrollProvider = ScrollProvider;
exports.scrollContext = void 0;
require("core-js/modules/web.dom-collections.iterator.js");
var _react = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const scrollContext = /*#__PURE__*/_react.default.createContext();
exports.scrollContext = scrollContext;
const context = scrollContext;
function ScrollProvider(_ref) {
  let {
    children
  } = _ref;
  const [first, setFirst] = (0, _react.useState)(0);
  const [size, setSize] = (0, _react.useState)(0);
  (0, _react.useEffect)(() => {
    setFirst(0);
    setSize(18);
  }, []);
  return /*#__PURE__*/_react.default.createElement(context.Provider, {
    value: {
      first: first,
      setFirst: setFirst,
      setSize: setSize,
      size: size
    }
  }, children);
}
const ScrollConsumer = scrollContext.Consumer;
exports.ScrollConsumer = ScrollConsumer;
ScrollProvider.context = scrollContext;