"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _scrollContext = require("./scrollContext");
var _CarouselContainer = _interopRequireDefault(require("./CarouselContainer"));
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function Carousel(props) {
  var first = props.first == undefined ? 0 : props.first;
  var size = props.children == undefined ? 1 : props.children.length;
  return /*#__PURE__*/_react.default.createElement("div", {
    style: {
      display: "block"
    }
  }, /*#__PURE__*/_react.default.createElement(_scrollContext.ScrollProvider, {
    value: {
      first: first,
      size: size
    }
  }, /*#__PURE__*/_react.default.createElement(_CarouselContainer.default, {
    containerClass: props.containerClass,
    itemClass: props.itemClass,
    itemContainerClass: props.itemContainerClass,
    arrowContainerClass: props.arrowContainerClass,
    countVisible: props.countVisible,
    shiftAmount: props.shiftAmount
  }, props.children)));
}
var _default = Carousel;
exports.default = _default;